Skip to main content
POST
Effectuate a MED refund debit

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint using client credentials (clientId and clientSecret).

Include token in Authorization header: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Token expires after 3600 seconds (1 hour).

Path Parameters

idSolDevolucao
string
required

The accepted refund-request GUID to effectuate.

Response

OK

effStatus
integer<int64>
required

Debit-effectuation status code (0=NotStarted, 1=DebitPending, 2=Settled, 3=Failed).

effStatusDescription
string
required

Human-readable eff_status label.

idOperacaoDebito
string
required

The Pending Midaz debit posting id (the reconcile commit/cancel reference).

idReqJdPi
string
required

The the upstream system /od request id (the debit-poll handle).

idSolDevolucao
string
required

The effectuated refund-request GUID.